<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $bb_cfg, $lang, $userdata;

$mode = (string) $this->request['mode'];
$html = '';

switch($mode)
{	
	case 'vote':
		$id = (int) $this->request['id'];
		DB()->query("UPDATE ". BB_ORDER ." SET order_vote = order_vote+1 WHERE  order_id = $id");
		$votes = DB()->fetch_row("SELECT order_vote FROM ". BB_ORDER ." WHERE order_id = $id LIMIT 1");
		$this->response['vote'] = $votes['order_vote'];
		$this->response['id'] = $id;
	break;
	
	case 'delete':
		$id = (int) $this->request['id'];
		DB()->query("DELETE FROM ". BB_ORDER ." WHERE order_id = $id");
		$this->response['id'] = $id;
	break;
	
	case 'add':
		$name = (string) $this->request['name'];
		$desc = (string) $this->request['desc'];
		$f_id = (int) $this->request['f_select'];
		if (($name == '') || ($desc == '')) ajax_die('Все поля должны быть обязательно заполнены');
		$time = TIMENOW;
		$user_id = $userdata['user_id'];
		$vote = 0;
		$row = DB()->fetch_row("SELECT forum_name FROM ". BB_FORUMS ." WHERE forum_id = ".$f_id);
		$sql_ary = array(
			'order_forum_id' => $f_id,
			'order_name' => $name,
			'order_desc' => $desc,
			'order_time' => $time,
			'order_user_id' => $user_id,
		);
		DB()->query("INSERT INTO ". BB_ORDER ."" . DB()->build_array('INSERT', $sql_ary));
		$id = DB()->sql_nextid();
		$html .= '<tr class="row1 med" id="tr_'.$id.'">';
		$html .= '<td class="w10 tCenter small bold"><a href="'. FORUM_URL . $f_id .'">'.$row['forum_name'].'</a></td>';
		$html .= '<td class="bold w30" name="hilite" title="'. $name .'"><span class="folded clickable" onclick="$(this).toggleClass(\'unfolded\'); toggle_block(\'com_'.$id.'\'); comment('.$id.'); return false;">'. $name .'</span></td>';
		$html .= '<td class="w10 tCenter">'.bb_date($time).'</td>';
		$html .= '<td class="bold w10 tCenter"><a href="'. PROFILE_URL . $user_id .'">'.$userdata['username'].'</a></td>';
		$html .= '<td class="w10 tCenter">'.$lang['NO'].'</td>';
		$html .= '<td class="bold w10 tCenter">----</td>';
		$html .= '<td class="w10 tCenter bold" id="order_vote"><a href="#" name="'.$id.'">'.$vote.'</a></td>';
		if(IS_ADMIN) 
		{
			$html .= '<td class="w10 bold tCenter leech"><a class="leech" href="#" onclick="order_delete({orderrow.ORDER_ID}); return false">X</a></td>';
		}
		$html .= '</tr>';
		$this->response['html'] = $html;
	break;
	
	case 'yes':
		$id = (int) $this->request['id'];
		$topic_id = (int) $this->request['topic_id'];
		$user_id = $userdata['user_id'];
		if(!DB()->fetch_row("SELECT topic_id FROM ". BB_TOPICS ." WHERE topic_id = $topic_id LIMIT 1"))
		{
			$this->ajax_die('Данного топика не существует, укажите правильный ID топика !');
		}
		if(DB()->fetch_row("SELECT order_topic_id FROM ". BB_ORDER ." WHERE order_topic_id = $topic_id LIMIT 1"))
		{
			$this->ajax_die('Проверьте правильность ID топика, уже привязана раздача.');
		}
		$subject = 'Статус вашего заказа был изменен.';
		$message = 'Ваш заказ был выполнен. [url=http://'.$bb_cfg['server_name'].$bb_cfg['script_path']. TOPIC_URL .$topic_id.']Смотреть тут[/url]';
		send_pm($user_id, $subject, $message, BOT_UID);
		DB()->query("UPDATE ". BB_ORDER ." SET order_yes = 1, order_user_performed_id = $user_id, order_topic_id = $topic_id WHERE order_id = $id");
		$this->response['id'] = $id;
		$this->response['username'] = '<a href="'. PROFILE_URL . $user_id .'">'.$userdata['username'].'</a>';
		$this->response['html'] = '<a href="'. TOPIC_URL .$topic_id.'" />'.$lang['YES'].'</a>';
	break;
	
	case 'comment':
		$order_id = (int) $this->request['or_id'];
		$user_id = $userdata['user_id'];
		$orig_word = array();
		$replace_word = array();
		obtain_word_list($orig_word, $replace_word);
		
		$sql = DB()->fetch_rowset("SELECT c.*, u.username 
				FROM bb_order_comment AS c
				LEFT JOIN ". BB_USERS ." AS u ON(u.user_id = c.comment_user_id)
				WHERE order_id = $order_id
				ORDER BY comment_time");
				
		$html = '<table class="forumline w100">';
		
		foreach($sql as $i => $com)
		{     
			$i++;
			$row_class = !($i % 2) ? 'row2' : 'row1';
			$html .= '<tr class="'.$row_class.'">';
			$html .= '<td width="10%" class="tCenter bold"><a href="'. PROFILE_URL . $user_id .'">'.$com['username'].'</a><br />'.bb_date($com['comment_time']).'</td>';
			$html .= '<td width="90%">'.htmlspecialchars(preg_replace($orig_word, $replace_word, $com['comment'])).'</td>';
			$html .= '</tr>';
		}
		
		$html .= '<tr class="row3">';
		$html .= '<td class="w100 bold tCenter" colspan="2">Добавить комментарий</td>';
		$html .= '</tr>';
		$html .= '<tr class="row1">';
		$html .= '<td width="20%" class="bold">Комментарий<br /><span class="small">Использование <b>BBCode</b> и <b>HTML</b> запрещено</span></td>';
		$html .= '<td width="80%" class="bold tCenter"><textarea id="ctext_'.$order_id.'" style="width: 90%; height: 100px;"></textarea></td>';
		$html .= '</tr>';
		$html .= '<tr>';
		$html .= '<td colspan="2" class="tCenter"><input type="button" onclick="comment_add('.$order_id.');" value="Отправить" /></td>';
		$html .= '</tr>';
		$html .= '</table>';

		$this->response['html']  = $html;
		$this->response['or_id'] = $order_id;
	break;
	
	case 'comment_add':
		$order_id = (int) $this->request['id'];
		$text = $this->request['text'];
		if (!$text) ajax_die('Вы не ввели комментарий');
		$user_id = $userdata['user_id'];
		$time = TIMENOW;
		$text = DB()->escape($text);
		DB()->query("INSERT INTO bb_order_comment SET order_id = $order_id, comment = '$text', comment_time = $time, comment_user_id = $user_id");
		$html  = '<td calss="row1"><a href="'. PROFILE_URL . $user_id .'">'.$userdata['username'].'</a><br />'.bb_date($time).'</td>';
		$html .= '<td calss="row1">'.htmlentities($text).'</td>';
		$this->response['html']  = $html;
		$this->response['id'] = $order_id;
	break;
}

$this->response['html']	= $html;
$this->response['mode']	= $mode;