<?php
define('IN_PHPBB', true);
define('BB_SCRIPT', 'order');
define('BB_ROOT', './');
include(BB_ROOT . 'common.php');

// Start session management
$user->session_start();
// End session management

$i = 0;
$number_of_order = 20;
$start  = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0;
$my  = isset($_GET['my']) ? abs(intval($_GET['my'])) : 0;
$hide_yes = isset($_GET['hide_yes']) ? abs(intval($_GET['hide_yes'])) : 0;
$forum = isset($_GET['f']) ? abs(intval($_GET['f'])) : 0;
$search_string = isset($_GET['st']) ? DB()->escape($_GET['st']) : '';

$query_url = !empty($_SERVER['QUERY_STRING']) ? $_SERVER['QUERY_STRING'] : '';
$where_sql = '';
$where_sql_1 = '';

if ($my == 1 ) 
{
	$where_sql = "WHERE o.order_user_id = ".$userdata['user_id'];
	$where_sql_1 = "WHERE order_user_id = ".$userdata['user_id'];
}
if ($hide_yes == 1 ) 
{
	$where_sql = ($where_sql == '') ? "WHERE o.order_yes = 0" : $where_sql." AND o.order_yes = 0";
	$where_sql_1 = ($where_sql_1 == '') ? "WHERE order_yes = 0" : $where_sql_1." AND order_yes = 0";
}
if ($forum) 
{
	$where_sql = ($where_sql == '') ? "WHERE o.order_forum_id = $forum" : $where_sql." AND o.order_forum_id = $forum";
	$where_sql_1 = ($where_sql_1 == '') ? "WHERE order_forum_id = $forum" : $where_sql_1." AND order_forum_id = $forum";
}
if($search_string != '') 
{
	$where_sql = ($where_sql == '') ? "WHERE o.order_name LIKE '%$search_string%'" : $where_sql." AND o.order_name LIKE '%$search_string%'";
	$where_sql_1 = ($where_sql_1 == '') ? "WHERE order_name LIKE '%$search_string%'" : $where_sql_1." AND order_name LIKE '%$search_string%'";
}

$pg_url = $query_url ? '?'.preg_replace('/\&start=.*/i', '', $query_url) : '?go=1';
$count = DB()->fetch_row("SELECT COUNT(order_id) AS c_order FROM ". BB_ORDER ." $where_sql_1");
$order_count = $count['c_order'] ? $count['c_order'] : 0; // Проверка на пустое значение.

$sql = DB()->fetch_rowset("SELECT
		o.*, u.username AS username_add, u.user_id AS user_id_add, uu.username AS username_performed, 
		uu.user_id AS user_id_performed, f.forum_name
		FROM ". BB_ORDER ." AS o
		LEFT JOIN ". BB_USERS ." AS u ON(u.user_id = o.order_user_id)
		LEFT JOIN ". BB_USERS ." AS uu ON(uu.user_id = o.order_user_performed_id)
		LEFT JOIN ". BB_FORUMS ." AS f ON(f.forum_id = o.order_forum_id)
		$where_sql
		ORDER BY o.order_time DESC
		LIMIT $start, $number_of_order");

if ($order_count)
{			
	foreach($sql as $order)			
	{     
		$i++;

		$row_class = !($i % 2) ? 'row2' : 'row1';
		
		$template->assign_block_vars('orderrow', array(
			'ROW_CLASS'  				=> $row_class,
			'ORDER_ID'   				=> $order['order_id'],
			'ORDER_FORUM_NAME'			=> $order['order_forum_id'] ? '<a href="'. FORUM_URL .$order['order_forum_id'].'">'.$order['forum_name'].'</a>' : '----',
			'ORDER_NAME' 				=> $order['order_name'],
			'ORDER_DESC' 				=> $order['order_desc'],
			'ORDER_USERNAME_ADD' 		=> $order['username_add'] ? '<a href="'. PROFILE_URL .$order['user_id_add'].'" target="_blank">'.$order['username_add'].'</a>' : '----',
			'USERNAME_ORDER_PERFORMED' 	=> $order['username_performed'] ? '<a href="'. PROFILE_URL .$order['user_id_performed'].'" target="_blank">'.$order['username_performed'].'</a>' : '----',
			'ORDER_TIME' 				=> bb_date($order['order_time']),
			'ORDER_YES'  				=> ($order['order_yes'] == 1) ? '<a class="seed bold" href="'. TOPIC_URL .$order['order_topic_id'].'" />'.$lang['YES'].'</a>' : '<span id="order_yes" class="clickable" name="'.$order['order_id'].'">'.$lang['NO'].'</span>',
			'ORDER_VOTE' 				=> ($order['order_yes'] == 1) ? $order['order_vote'] : '<a href="#" onclick="order_vote('.$order['order_id'].'); return false" name="'.$order['order_id'].'">'.$order['order_vote'].'</a>',
		));
	}
}
else
{
	$template->assign_block_vars('no_order', array(
		'DESCRIPTION' => $lang['NO_MATCH'],
	));
}

generate_pagination($pg_url, $count['c_order'], $number_of_order, $start);

$template->assign_vars(array(
	'PAGE_TITLE'    => 'Стол заказов',
	'ADD_USENAME' 	=> $userdata['username'],
	 'PAGINATION'  	=> generate_pagination($pg_url, $count['c_order'], $number_of_order, $start),
   'PAGE_NUMBER' 	=> sprintf($lang['PAGE_OF'], (floor($start / $number_of_order) + 1), ceil($count['c_order'] / $number_of_order)),
	'SHOW_JUMPBOX'	=> true,
	'BUILD_FORUM' 	=> get_forum_select('user', POST_FORUM_URL, null, 40, null, '', null),
	'U_ORDER'     	=> 'order.php',
));

print_page('order.tpl');