<table width="100%" cellspacing="2" cellpadding="2" border="0" align="center">
	<tr>
		<td align="left"><span class="nav"><a href="{U_INDEX}" class="nav">{T_INDEX}</a> &raquo; <a href="{U_ORDER}">{L_ORDER}</a></span></td>
	</tr>
</table>

<script type="text/javascript">
	function order_add() 
	{
		ajax.exec({
			action	: 'order',
			mode	: 'add',
			f_select  : $("select#f option:selected", "td#f_select").val(),
			name	: $('#name').val(),
			desc	: $('#desc').val(),
		});
	}
	
	function order_vote(id)
	{
		ajax.exec({
			action	: 'order',
			mode	: 'vote',
			id     : id
		});
	}
	
	function comment(id)
	{
		ajax.exec({
			action	: 'order',
			mode  	: 'comment',
			or_id   : id  
		});
	};
	
	function comment_add(id)
	{
		ajax.exec({
			action	: 'order',
			mode  	: 'comment_add',
			id      : id,
			text    : $('#ctext_'+id).val() 
		});
	};
	
	<!-- IF IS_ADMIN -->
	function order_delete(id) 
	{
		ajax.exec({
			action	: 'order',
			mode	: 'delete',
			id		: id
		});
	};
	<!-- ENDIF -->
	
	function order_yes(id, topic_id) 
	{
		ajax.exec({
			action		: 'order',
			mode		: 'yes',
			id      	: id,
			topic_id 	: topic_id
		});
	};
	
	ajax.callback.order = function(data) 
	{
		if(data.mode == 'add')
		{
			$('#orders_add').after(data.html);
			$('#add').html("");
		}
		else if(data.mode == 'yes')
		{
			$('span[name='+data.id+']').html(data.html);
			$("td#username_order_performed_"+data.id+" span").replaceWith('<b>'+data.username+'</b>');
		}
		else if(data.mode == 'comment')
		{
			$comments = $('#com_'+data.or_id+' td div');
			$comments.html(data.html);
			$comments.data('loaded',1);
		}
		else if(data.mode == 'comment_add')
		{
			var id = data.id;
			alert('Комментарий добавлен');
			window.location.reload(true);
		}
		else if(data.mode == 'vote')
		{
			$("td#order_vote a[name="+data.id+"]").html(data.vote);
		}
		<!-- IF IS_ADMIN -->
		else if(data.mode == 'delete')
		{
			$('#tr_'+data.id).remove();
		}
		<!-- ENDIF -->
	};
	
	$(document).ready(function()
	{
		$("span#order_yes").one("click", function(id)
		{
			var id = $(this).attr('name');
			var topic_id = prompt('{L_SET_ORDER_TOPIC_ID}');
			if (!topic_id) 
			{ 
				alert('{L_ORDER_TOPIC_ID_NOT_SET}'); return false; 
			}
			order_yes(id, topic_id);
			$("span[name="+id+"]").html($("span[name="+id+"]").text());
			return false;
		});
	});
</script>

<table class="forumline w100" style="display: none;" id="section-add">
	<tr>
		<th colspan="2">{L_ORDER_ADD}</th>
	</tr>
	<tr class="row1 med">
		<td class="">{L_SELECT_ORDER_FORUM}</td>
		<td class="" id="f_select">{BUILD_FORUM}</td>
	</tr>
	<tr class="row1 med">
		<td class="bold">{L_INPUT_ORDER_HEAD}</td>
		<td class=""><input type="text" size="100" id="name"></td>
	</tr>
	<tr class="row2 med">
		<td class="bold">{L_INPUT_ORDER_DESC}</td>
		<td class=""><input type="text" size="100" id="desc"></td>
	</tr>
	<tr>
		<td class="catBottom" colspan="2">
			<input type="button" value="{L_SUBMIT}" onclick="order_add(); return false;"/>
		</td>
	</tr>
</table>

<div class="spacer_10"></div>

<table class="forumline w100">
	<tr>
		<th <!-- IF IS_ADMIN -->colspan="9"<!-- ELSE -->colspan="8"<!-- ENDIF -->>{L_ORDER_SECTION}</th>
	</tr>
	<tr>
		<td class="catBottom" <!-- IF IS_ADMIN -->colspan="9"<!-- ELSE -->colspan="8"<!-- ENDIF -->>
			<input type="text" size="40" maxlength="40" id="search_text" />&nbsp;
			<input type="button" value="Поиск" onclick="search_rel(); return false;" />
		</td>
	</tr>
	<tr class="row3 med" id="orders_add">
		<td class="bold w10">{L_FORUM}</td>
		<td class="bold w30">{L_ORDER}</td>
		<td class="bold w10">{L_ORDER_ADDED}</td>
		<td class="bold w10">{L_USER_ORDERED_ADD}</td>
		<td class="bold w10">{L_ORDER_YES}</td>
		<td class="bold w10">{L_USER_ORDER_PERFORMED}</td>
		<td class="bold w10">{L_ORDER_VOTE}</td>
		<!-- IF IS_ADMIN -->
		<td class="bold w10">{L_DELETE}</td>
		<!-- ENDIF -->
	</tr>
	<tr id="add"></tr>
	<!-- BEGIN orderrow -->
	<tr class="{orderrow.ROW_CLASS} med" id="tr_{orderrow.ORDER_ID}">
		<td class="w10 tCenter small bold">{orderrow.ORDER_FORUM_NAME}</td>
		<td class="bold w30" name="hilite" title="{orderrow.ORDER_DESC}"><span class="folded clickable" onclick="$(this).toggleClass('unfolded'); toggle_block('com_{orderrow.ORDER_ID}'); comment({orderrow.ORDER_ID}); return false;">{orderrow.ORDER_NAME}</span></td>
		<td class="w10 tCenter">{orderrow.ORDER_TIME}</td>
		<td class="bold w10 tCenter">{orderrow.ORDER_USERNAME_ADD}</td>
		<td class="w10 tCenter">{orderrow.ORDER_YES}</td>
		<td class="bold w10 tCenter" id="username_order_performed_{orderrow.ORDER_ID}"><span>{orderrow.USERNAME_ORDER_PERFORMED}</span></td>
		<td class="w10 tCenter bold" id="order_vote">{orderrow.ORDER_VOTE}</td>
		<!-- IF IS_ADMIN -->
		<td class="w10 bold tCenter"><a class="leech" href="#" onclick="order_delete({orderrow.ORDER_ID}); return false">X</a></td>
		<!-- ENDIF -->
	</tr>
	<tr id="com_{orderrow.ORDER_ID}" style="display: none;" class="row1">
		<td colspan="<!-- IF IS_ADMIN -->9<!-- ELSE -->8<!-- ENDIF -->">
		<div>Загрузка.... (Ожидайте)</div>
		</td>
	</tr>
	<!-- END orderrow -->
	<!-- BEGIN no_order -->
	<table width="100%" cellpadding="2" border="0" class="forumline">
		<tr>
			<td class="tCenter row1 pad_8">{no_order.DESCRIPTION}</td>
		</tr>
	</table>
	<!-- END no_order -->
	<tr>
		<td class="catBottom" <!-- IF IS_ADMIN -->colspan="9"<!-- ELSE -->colspan="8"<!-- ENDIF -->>
			<input type="button" value="{L_ORDER_ADD}" class="mainoption" onclick="toggle_block('section-add'); return false;" />
			<input type="button" value="{L_ORDER_ALL}" class="mainoption" onclick="window.location.href='order.php'" />
			<input type="button" value="{L_ORDER_MY}" class="mainoption" onclick="window.location.href='order.php?my=1'" />
			<input type="button" value="{L_ORDER_HIDE_YES}" class="mainoption" onclick="window.location.href='order.php?hide_yes=1'" />
			<span id="f_sel">{BUILD_FORUM}</span>
		</td>
	</tr>
</table>

<div class="nav" style="margin: 8px 4px 14px 4px">
	<div style="float:left">{PAGE_NUMBER}</div>
	<div style="float:right">{PAGINATION}</div>
</div>
<div class="clear"></div>

<div class="jumpbox"></div>

<script type="text/javascript">	
	$(document).ready(function()
	{
		$("td[name='hilite']")
		.bind('mouseover', function(){ $(this)   .addClass('hl-hovered-line').css({cursor: 'help'}) })
		.bind('mouseout',  function(){ $(this).removeClass('hl-hovered-line').css({cursor: 'normal'}) });
	});

	$(document).ready(function()
	{
		$('select#f', 'span#f_sel').bind('change',function()
		{
			var value = $(this).attr('value');
			window.location.href='order.php?f='+value;
		});
	});

	function search_rel() 
	{
		var sr_val = $('#search_text').val();
		window.location.href='order.php?st='+sr_val;
	}
</script>